org.apache.lucene.search

## Class TermQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.TermQuery

-     public class TermQuery
      extends Query

  A Query that matches documents containing a term. This may be combined with other terms with a `BooleanQuery`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermQuery(Term t)` Constructs a query for the term `t`.
    `TermQuery(Term t, TermContext states)` Expert: constructs a TermQuery that will use the provided docFreq instead of looking up the docFreq against the searcher.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Weight` | `createWeight(IndexSearcher searcher, boolean needsScores)` Expert: Constructs an appropriate Weight implementation for this query.
    `boolean` | `equals(Object other)` Returns true iff `o` is equal to this.
    `Term` | `getTerm()` Returns the term of this query.
    `int` | `hashCode()` Override and implement query hash code properly in a subclass.
    `String` | `toString(String field)` Prints a user-readable version of this query.

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, rewrite, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TermQuery

          public TermQuery(Term t)

      Constructs a query for the term `t`.

    - #### TermQuery

          public TermQuery(Term t,
                           TermContext states)

      Expert: constructs a TermQuery that will use the provided docFreq instead of looking up the docFreq against the searcher.

  - ### Method Detail

    - #### getTerm

          public Term getTerm()

      Returns the term of this query.

    - #### createWeight

          public Weight createWeight(IndexSearcher searcher,
                                     boolean needsScores)
                              throws IOException

      Description copied from class: `Query`
      Expert: Constructs an appropriate Weight implementation for this query.

      Only implemented by primitive queries, which re-write to themselves.

      Overrides:
        `createWeight` in class `Query`
        `needsScores` - True if document scores (`Scorer.score()`) or match frequencies (`Scorer.freq()`) are needed.
      Throws:
        `IOException`

    - #### toString

          public String toString(String field)

      Prints a user-readable version of this query.
      Specified by:
        `toString` in class `Query`

    - #### equals

          public boolean equals(Object other)

      Returns true iff `o` is equal to this.
      Specified by:
        `equals` in class `Query`
      See Also:
        `Query.sameClassAs(Object)`, `Query.classHash()`

    - #### hashCode

          public int hashCode()

      Description copied from class: `Query`
      Override and implement query hash code properly in a subclass. This is required so that `QueryCache` works properly.
      Specified by:
        `hashCode` in class `Query`
      See Also:
        `Query.equals(Object)`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.